INTERFACE
SUBROUTINE LATTES(KST,KPROF,PDTS2,PBDT,PESGP,PESGM,&
 & PVCRSSA0F,PVCASRS0F,PVCASRS0H,PRDLR0,POROG,POROGL,POROGM,&
 & PSDIV0,PSDIV9,PSDVBC,PRES0,PGMVS,&
 & PGMV,PGMVT1S,PB1,PB2) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NPROMVC ,NPROMDLR ,NFLEVG ,NFLSA
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS ,YT0 ,YT1 ,YT9
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE PAR_RDLR , ONLY : JP_ASRF ,JP_DIMR0
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PBDT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSA0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0H(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR0(NPROMDLR,0:NFLEVG,JP_DIMR0)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDIV0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDIV9(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDVBC(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
END SUBROUTINE LATTES
END INTERFACE
